buyerservice

Full documentation for this service is available at /documentation/buyerservice.

GetMemorylistItems |WebMethod|

Gets items that are in the user's memorylist.

Parameters
  1. filterActive, A filter to search for only active, inactive or all items in the memorylist
  2. minEndDate, The minimum end date of the item
  3. maxEndDate, The maximum end date of the item
Returns

An array of items

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/buyerservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetMemorylistItems"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetMemorylistItems xmlns="http://api.tradera.com">
      <filterActive>filterActive</filterActive>
      <minEndDate>minEndDate</minEndDate>
      <maxEndDate>maxEndDate</maxEndDate>
    </GetMemorylistItems>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetMemorylistItemsResponse xmlns="http://api.tradera.com">
      <GetMemorylistItemsResult>An array of items</GetMemorylistItemsResult>
    </GetMemorylistItemsResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/buyerservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetMemorylistItems xmlns="http://api.tradera.com">
      <filterActive>filterActive</filterActive>
      <minEndDate>minEndDate</minEndDate>
      <maxEndDate>maxEndDate</maxEndDate>
    </GetMemorylistItems>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetMemorylistItemsResponse xmlns="http://api.tradera.com">
      <GetMemorylistItemsResult>An array of items</GetMemorylistItemsResult>
    </GetMemorylistItemsResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/buyerservice.asmx/GetMemorylistItems?appId=string&appKey=string&filterActive=string&minEndDate=string&maxEndDate=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetMemorylistItemsResult xmlns="http://api.tradera.com">An array of items</GetMemorylistItemsResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/buyerservice.asmx/GetMemorylistItems HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&filterActive=string&minEndDate=string&maxEndDate=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetMemorylistItemsResult xmlns="http://api.tradera.com">An array of items</GetMemorylistItemsResult>